Package uk.ac.starlink.topcat

# Class RegistryDialogAdjuster

java.lang.Object
uk.ac.starlink.topcat.RegistryDialogAdjuster

public class RegistryDialogAdjuster extends Object
Provides the necessary methods to customise one of the DalTableLoadDialog classes for use with TOPCAT.

Since:
  16 Aug 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`RegistryDialogAdjuster(uk.ac.starlink.vo.DalLoader dalLoader, String resourceType, boolean isSky)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptResourceIdLists()`
Indicates whether incoming resource lists are currently being accepted.
`boolean`
`acceptSkyPositions()`
Indicates whether incoming sky positions are currently being accepted.
`void`
`adjustComponent()`
Performs various adjustments to this dialogue's query component to make it work better in a TOPCAT window.
`static void`
`adjustRegistryPanel(uk.ac.starlink.vo.RegistryPanel regPanel, ToggleButtonModel acceptResourceModel)`
Adjusts a registry panel for use with TOPCAT.
`static void`
`adjustSkyEntry(uk.ac.starlink.vo.SkyPositionEntry skyEntry, ToggleButtonModel acceptPositionModel)`
Adjusts a sky entry panel for use with TOPCAT.
`static ToggleButtonModel`
`createAcceptResourceIdListModel()`
Returns a toggle model for acceping resource lists.
`static JMenu`
`createInteropMenu(uk.ac.starlink.vo.RegistryPanel regPanel, String resourceType)`
Returns an Interop menu suitable for use with a registry panel.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegistryDialogAdjuster

public RegistryDialogAdjuster(uk.ac.starlink.vo.DalLoader dalLoader, String resourceType, boolean isSky)
Constructor.

Parameters:
  `dalLoader` - standard load dialogue
  `resourceType` - name of resource type the dialogue's resource list contains; must be MType subtype for voresource.loadlist.* message
  `isSky` - true if the dialogue should be capable of receiving skyPositions

## Method Details

### adjustComponent

public void adjustComponent()
Performs various adjustments to this dialogue's query component to make it work better in a TOPCAT window.

### acceptResourceIdLists

public boolean acceptResourceIdLists()
Indicates whether incoming resource lists are currently being accepted.

Returns:
  true iff resource lists should be used

### acceptSkyPositions

public boolean acceptSkyPositions()
Indicates whether incoming sky positions are currently being accepted.

Returns:
  true iff sky positions should be used

### createAcceptResourceIdListModel

public static ToggleButtonModel createAcceptResourceIdListModel()
Returns a toggle model for acceping resource lists.

Returns:
  new toggle button model

### createInteropMenu

public static JMenu createInteropMenu(uk.ac.starlink.vo.RegistryPanel regPanel, String resourceType)
Returns an Interop menu suitable for use with a registry panel.

Parameters:
  `regPanel` - registry panel
  `resourceType` - name of resource type the panel's resource list contains; must be MType subtype for voresource.loadlist.* message

### adjustRegistryPanel

public static void adjustRegistryPanel(uk.ac.starlink.vo.RegistryPanel regPanel, ToggleButtonModel acceptResourceModel)
Adjusts a registry panel for use with TOPCAT.

Parameters:
  `regPanel` - registry panel to adjust
  `acceptResourceModel` - toggler for resource list acceptance

### adjustSkyEntry

public static void adjustSkyEntry(uk.ac.starlink.vo.SkyPositionEntry skyEntry, ToggleButtonModel acceptPositionModel)
Adjusts a sky entry panel for use with TOPCAT.

Parameters:
  `skyEntry` - sky entry panel to adjust
  `acceptPositionModel` - toggler for sky position acceptance